package projectzombie.items;

import gl_engine.vec.Vec2d;
import gl_engine.vec.Vec2i;
import gl_engine.vec.Vec3d;
import projectzombie.entity.player.EntityPlayer;
import projectzombie.init.Models;
import projectzombie.init.Tiles;
import projectzombie.model.ModelItem;
import projectzombie.util.ItemStack;
import projectzombie.world.chunk.Chunk;
import projectzombie.world.layer.Layer;

public class ItemInfestation extends Item
{

	@Override
	public ModelItem getModel(ItemStack stack) {
		return Models.ITEM_ROCK;
	}
	
	@Override
	public boolean onPlayerRightClick(ItemStack stack, Layer layer, EntityPlayer player, Vec2d place_pos) {
		layer.setBackTile(Tiles.GRASS_INFESTED.getDefaultState(), place_pos.toInt());
		stack.count -= 1;
		return true;
	}
	
	@Override
	public String getName(ItemStack stack) {
		return "Infestation";
	}
	
}
